Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkLandmarkTransform Class Reference

`#include <vtkLandmarkTransform.h>`

Inheritance diagram for vtkLandmarkTransform:

[legend]
Collaboration diagram for vtkLandmarkTransform:

[legend]
List of all members.

## Detailed Description

a linear transform specified by two corresponding point sets

Date:
  2002/08/07 23:12:10

Revision:
  1.18

A vtkLandmarkTransform is defined by two sets of landmarks, the transform computed gives the best fit mapping one onto the other, in a least squares sense. The indices are taken to correspond, so point 1 in the first set will get mapped close to point 1 in the second set, etc. Call SetSourceLandmarks and SetTargetLandmarks to specify the two sets of landmarks, ensure they have the same number of points.

Warning:
  Whenever you add, subtract, or set points you must call Modified() on the vtkPoints object, or the transformation might not update.

See also:
  vtkLinearTransform

Created by:
  - Hutton, Tim

CVS contributions (if > 5%):
  - Hutton, Tim (50%)
  - Gobbi, David (40%)

CVS logs (CVSweb):
  - .`h` (`/Hybrid/vtkLandmarkTransform.h)`
  - .`cxx` (`/Hybrid/vtkLandmarkTransform.cxx)`

Definition at line 55 of file vtkLandmarkTransform.h.

## Public Types
typedef vtkLinearTransform | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | Inverse ()
unsigned long | GetMTime ()
vtkAbstractTransform * | MakeTransform ()
void | SetSourceLandmarks (vtkPoints *points)
void | SetTargetLandmarks (vtkPoints *points)
virtual vtkPoints * | GetSourceLandmarks ()
virtual vtkPoints * | GetTargetLandmarks ()
virtual void | SetMode (int)
void | SetModeToRigidBody ()
void | SetModeToSimilarity ()
void | SetModeToAffine ()
virtual int | GetMode ()
const char * | GetModeAsString ()
## Static Public Methods
vtkLandmarkTransform * | New ()
int | IsTypeOf (const char *type)
vtkLandmarkTransform * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkLandmarkTransform ()
| ~vtkLandmarkTransform ()
void | InternalUpdate ()
void | InternalDeepCopy (vtkAbstractTransform *transform)
## Protected Attributes
vtkPoints * | SourceLandmarks
vtkPoints * | TargetLandmarks
int | Mode

## Member Typedef Documentation

typedef vtkLinearTransform vtkLandmarkTransform::Superclass

| Reimplemented from vtkLinearTransform. Definition at line 60 of file vtkLandmarkTransform.h.

## Constructor & Destructor Documentation

vtkLandmarkTransform::vtkLandmarkTransform | ( |  | ) | `[protected]`

vtkLandmarkTransform::~vtkLandmarkTransform | ( |  | ) | `[protected]`

## Member Function Documentation

vtkLandmarkTransform* vtkLandmarkTransform::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkLandmarkTransform::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkLinearTransform.

int vtkLandmarkTransform::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkLinearTransform.

virtual int vtkLandmarkTransform::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkLinearTransform.

vtkLandmarkTransform* vtkLandmarkTransform::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkLinearTransform.

void vtkLandmarkTransform::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkLinearTransform.

void vtkLandmarkTransform::SetSourceLandmarks | ( | vtkPoints * | points | ) |

| Specify the source and target landmark sets. The two sets must have the same number of points. If you add or change points in these objects, you must call Modified() on them or the transformation might not update.

void vtkLandmarkTransform::SetTargetLandmarks | ( | vtkPoints * | points | ) |

| Specify the source and target landmark sets. The two sets must have the same number of points. If you add or change points in these objects, you must call Modified() on them or the transformation might not update.

virtual vtkPoints* vtkLandmarkTransform::GetSourceLandmarks | ( |  | ) | `[virtual]`

| Specify the source and target landmark sets. The two sets must have the same number of points. If you add or change points in these objects, you must call Modified() on them or the transformation might not update.

virtual vtkPoints* vtkLandmarkTransform::GetTargetLandmarks | ( |  | ) | `[virtual]`

| Specify the source and target landmark sets. The two sets must have the same number of points. If you add or change points in these objects, you must call Modified() on them or the transformation might not update.

virtual void vtkLandmarkTransform::SetMode | ( | int |  | ) | `[virtual]`

| Set the number of degrees of freedom to constrain the solution to. Rigidbody: rotation and translation only. Similarity: rotation, translation and isotropic scaling. The default is similarity.

void vtkLandmarkTransform::SetModeToRigidBody | ( |  | ) | `[inline]`

| Set the number of degrees of freedom to constrain the solution to. Rigidbody: rotation and translation only. Similarity: rotation, translation and isotropic scaling. The default is similarity. Definition at line 79 of file vtkLandmarkTransform.h. References VTK_LANDMARK_RIGIDBODY.

void vtkLandmarkTransform::SetModeToSimilarity | ( |  | ) | `[inline]`

| Set the number of degrees of freedom to constrain the solution to. Rigidbody: rotation and translation only. Similarity: rotation, translation and isotropic scaling. The default is similarity. Definition at line 80 of file vtkLandmarkTransform.h. References VTK_LANDMARK_SIMILARITY.

void vtkLandmarkTransform::SetModeToAffine | ( |  | ) | `[inline]`

| Set the number of degrees of freedom to constrain the solution to. Rigidbody: rotation and translation only. Similarity: rotation, translation and isotropic scaling. The default is similarity. Definition at line 81 of file vtkLandmarkTransform.h. References VTK_LANDMARK_AFFINE.

virtual int vtkLandmarkTransform::GetMode | ( |  | ) | `[virtual]`

| Set the number of degrees of freedom to constrain the solution to. Rigidbody: rotation and translation only. Similarity: rotation, translation and isotropic scaling. The default is similarity.

const char * vtkLandmarkTransform::GetModeAsString | ( |  | ) | `[inline]`

| Set the number of degrees of freedom to constrain the solution to. Rigidbody: rotation and translation only. Similarity: rotation, translation and isotropic scaling. The default is similarity. Definition at line 116 of file vtkLandmarkTransform.h. References Mode, VTK_LANDMARK_AFFINE, VTK_LANDMARK_RIGIDBODY, and VTK_LANDMARK_SIMILARITY.

void vtkLandmarkTransform::Inverse | ( |  | ) | `[virtual]`

| Invert the transformation. This is done by switching the source and target landmarks. Implements vtkAbstractTransform.

unsigned long vtkLandmarkTransform::GetMTime | ( |  | ) | `[virtual]`

| Get the MTime. Reimplemented from vtkAbstractTransform.

vtkAbstractTransform* vtkLandmarkTransform::MakeTransform | ( |  | ) | `[virtual]`

| Make another transform of the same type. Implements vtkAbstractTransform.

void vtkLandmarkTransform::InternalUpdate | ( |  | ) | `[protected, virtual]`

| Perform any subclass-specific Update. Reimplemented from vtkAbstractTransform.

void vtkLandmarkTransform::InternalDeepCopy | ( | vtkAbstractTransform * | transform | ) | `[protected, virtual]`

| This method does no type checking, use DeepCopy instead. Reimplemented from vtkHomogeneousTransform.

## Member Data Documentation

vtkPoints* vtkLandmarkTransform::SourceLandmarks`[protected]`

| Definition at line 106 of file vtkLandmarkTransform.h.

vtkPoints* vtkLandmarkTransform::TargetLandmarks`[protected]`

| Definition at line 107 of file vtkLandmarkTransform.h.

int vtkLandmarkTransform::Mode`[protected]`

| Definition at line 109 of file vtkLandmarkTransform.h. Referenced by GetModeAsString().

The documentation for this class was generated from the following file:

- Hybrid/vtkLandmarkTransform.h